----------------------------------------------------------------
-- EXAMPLE 1
--
-- This program creates a simple window which captures the pen events.
-- The pen's coordinates are displayed into the window.
-- (Use the "Break" button to quit)
----------------------------------------------------------------

require("ui","draw")

	-- create a simple window
win = ui.window{ name="Test1", x=10, y=10, width=120, height=80 }

	-- define the events to capture pen events
function win:_pendown(x,y)
	-- draw on the window's background
  draw.onpict( win:getpict() )
  draw.clear()
  draw.text(5,5, "down: "..x..", "..y)
  win:update()  -- refresh the window
end

function win:_penmove(x,y)
  draw.onpict( win:getpict() )
  draw.clear()
  draw.text(5,5, "move: "..x..", "..y)
  win:update()
end

function win:_penup(x,y)
  draw.onpict( win:getpict() )
  draw.clear()
  win:update()
end

statusbar("Click in the window")

	-- show the window, and hide the other windows
win:show(true)

	-- enter the main loop for UI events
ui.start()
