----------------------------------------------------------------
-- EXAMPLE 2
--
-- This program creates a new window with an editable text area
-- and some buttons at the bottom.
-- It also uses the Console window and shows how it can be resized.
----------------------------------------------------------------

require("ui")

	-- create the new window
win = ui.window{ name="Test2", x=3, y=3, width=154, height=100 }

	-- create the text area
txt = ui.textedit{ x=0, y=0, width=152, height=75}
	
	-- and add it to the window
win:add( txt )

	-- create the first button and add it to the window
b = ui.button{ text="Clear", x=5, y=79}
win:add( b )

	-- define what happens when we click on it
function b:_clicked() 
  txt:clear() -- clear the text box
  clear() -- and clear the console window
end

	-- now create the second button, with 'win' as parent
b2 = ui.button{ text="Print", x=45, y=79, parent=win}

function b2:_clicked() 
  print( txt:gettext() )  -- copy the text into the console
end

	-- continue with some other possible syntaxes
ui.button{ text="Input", x=82, y=79, parent=win,
  _clicked = function(self) 
    txt:append( input("Text:") ) 
  end}

ui.button{ text="Quit", x=122, y=79, parent=win, 
  _clicked = function(self) 
    ui.stop() 
  end}

	-- now get the console window and resize it
cons = ui.getwin("Console")
cons:setposition(3,107)
cons:setsize(154,100)

print("This is the console window")
txt:settext("This is a custom window")

win:show(true)
cons:show(false)

ui.start()
