----------------------------------------------------------------
-- EXAMPLE 6
--
-- This is a simple example that shows how to create a toolbar
----------------------------------------------------------------

require "ui" "draw"

-- create some pictures for the buttons
picts = {}
for i = 1,5 do
 local p = pict.new(15,10)
 draw.onpict(p)
 draw.text(4,0,tostring(i))
 picts[i] = p
end

win = ui.window({name="Test",x=0,y=0,width=160,height=100})

b1 = ui.button({x=10, y=10, text="btn1"})
function b1:_clicked()
 print("b1: clicked")
end

b2 = ui.dropdownbutton({x=10, y=10, width=19, height=14, picts=picts, nbrcols=2})
function b2:_selected(i)
 print("b2: selected "..i)
end

b3 = ui.multibutton({x=10, y=10, width=19, height=14, picts=picts})
function b3:_selected(i)
 print("b3: selected "..i)
end

tools = ui.tools()
tools:add(b1,1)
tools:add(b2,1)
tools:add(b3,1)

win:add(tools)

	-- get the Console window
	-- and place it below the custom window
cons = ui.getwin("Console")
cons:setposition(0,105)
cons:setsize(160,100)

win:show()
ui.start()



